<?php
/**
 *
 * @package phpBB Extension - Header Link
 * @copyright (c) 2015 - HiFiKabin
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */


if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}
// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ « » “ ” …
//
$lang = array_merge($lang, [
	'ACP_HEADERLINK_ACTIVE'							=> 'Todos',
	'ACP_HEADERLINK_ADMIN'							=> 'Sólo Administradores',
	'ACP_HEADERLINK_ALIGN'							=> 'Alineación de los enlaces',
	'ACP_HEADERLINK_ALIGN_CENTER'					=> 'Centrado',
	'ACP_HEADERLINK_ALIGN_END'						=> 'Derecha',
	'ACP_HEADERLINK_ALIGN_START'					=> 'Izquierda',
	'ACP_HEADERLINK_BUTTON_COLOUR'					=> 'Color del fondo del enlace',
	'ACP_HEADERLINK_CONFIG_EXPLAIN'					=> 'Configuración del enlace del encabezado y vista previa.',
	'ACP_HEADERLINK_DEFAULT_TITLE'					=> 'Nuevo enlace',
	'ACP_HEADERLINK_DISABLE'						=> 'Deshabilitar este enlace',
	'ACP_HEADERLINK_ENABLE'							=> 'Habilitar este enlace',
	'ACP_HEADERLINK_GUEST'							=> 'Sólol invitados',
	'ACP_HEADERLINK_HOVER'							=> 'Descripción del enlace',
	'ACP_HEADERLINK_HOVER_COLOUR'					=> 'Color del fondo del hover',
	'ACP_HEADERLINK_HOVER_COLOUR_EXPLAIN'			=> 'Color del fondo de los enlaces en el hover.<br>Introduce el valor “transparent” para usar el mismo color de fondo que los enlaces.',
	'ACP_HEADERLINK_HOVER_EXPLAIN'					=> 'Texto informativo que se muestra en una información sobre herramientas al pasar el cursor sobre el enlace (opcional).',
	'ACP_HEADERLINK_INFO'							=> 'Informaciones',
	'ACP_HEADERLINK_ICON'							=> 'Icono Font Awesome',
	'ACP_HEADERLINK_ICON_CODE'						=> 'Código de icono FA',
	'ACP_HEADERLINK_ICON_CODE_EXPLAIN'				=> 'Introduce el código del icono (por ejemplo fa-comments-o).<br>Códigos de iconos FA los puedes encontrar haciendo click en <a href="https://fontawesome.com/v4/icons" target="_blank">este enlace</a>.',
	'ACP_HEADERLINK_ICON_COLOUR'					=> 'Color del icono',
	'ACP_HEADERLINK_ICON_EXPLAIN'					=> 'Muestra un icono delante del enlace.',
	'ACP_HEADERLINK_INSTRUCTIONS'					=> 'Puedes ingresar tantos enlaces como desees, cada uno con su propio nombre y destino.',
	'ACP_HEADERLINK_LINKS'							=> 'Enlaces',
	'ACP_HEADERLINK_MEMBER'							=> 'Sólo miembros',
	'ACP_HEADERLINK_MOD'							=> 'Sólo Moderadores',
	'ACP_HEADERLINK_MORE_LINKS'						=> 'Añadir otro enlace',
	'ACP_HEADERLINK_NAVBAR'							=> 'Posición de la barra de enlace del encabezado',
	'ACP_HEADERLINK_NAME'							=> 'Nombre del enlace',
	'ACP_HEADERLINK_NAME_EXPLAIN'					=> 'Introduce el nombre del enlace',
	'ACP_HEADERLINK_NEW'							=> 'Nueva pestaña',
	'ACP_HEADERLINK_PERMISSION'						=> 'Visualización del enlace',
	'ACP_HEADERLINK_PREVIEW'						=> 'Vista previa',
	'ACP_HEADERLINK_PREVIEW_EXPLAIN'				=> 'Aquí sólo se mostrarán los enlaces ya validados.',
	'ACP_HEADERLINK_RESPONSIVE'						=> 'Comportamiento receptivo (responsive)',
	'ACP_HEADERLINK_RESPONSIVE_EXPLAIN'				=> ' - Sin lista desplegable: Todos los enlaces se mostrarán independientemente de la anchura del foro, en varias líneas si es necesario.<br> - Lista desplegable con anchura predefinida: Todos los enlaces se mostrarán en una lista desplegable si la anchura de la pantalla es menor que una anchura predefinida.<br> - Lista desplegable con anchura automática: Todos los enlaces se colocarán individualmente en una lista desplegable de acuerdo con la anchura de la pantalla. Esta opción puede provocar una visualización breve no deseada al cambiar de página, ya que requiere un nuevo cálculo de la anchura.',
	'ACP_HEADERLINK_RESPONSIVE_AUTO_CHOICE'			=> 'Lista desplegable con anchura automática',
	'ACP_HEADERLINK_RESPONSIVE_NATURAL_CHOICE'		=> 'Sin lista desplegable',
	'ACP_HEADERLINK_RESPONSIVE_WIDTH_CHOICE'		=> 'Lista desplegable con anchura predefinida',
	'ACP_HEADERLINK_RESPONSIVE_WIDTH_VAL'			=> 'Anchura máxima en píxeles',
	'ACP_HEADERLINK_RESPONSIVE_WIDTH_VAL_EXPLAIN'	=> 'Anchura mínima: 360. Anchura por defecto: 700',
	'ACP_HEADERLINK_SAME'							=> 'Misma pestaña',
	'ACP_HEADERLINK_SAVED'							=> 'Ajustes del Enlace del encabezado guardados',
	'ACP_HEADERLINK_SWITCH_ABOVE_BOARD'				=> 'Parte superior del foro',
	'ACP_HEADERLINK_SWITCH_IN_HEADER'				=> 'En el encabezado',
	'ACP_HEADERLINK_SWITCH_IN_NAVBAR'				=> 'En la barra de navegación',
	'ACP_HEADERLINK_SWITCH_UNDER_HEADER'			=> 'Debajo del encabezado',
	'ACP_HEADERLINK_TARGET'							=> 'Abrir enlace en',
	'ACP_HEADERLINK_TEXT_COLOUR'					=> 'Color del texto',
	'ACP_HEADERLINK_TEXT_SHADOW'					=> 'Sombra del texto',
	'ACP_HEADERLINK_TEXT_SHADOW_COLOUR'				=> 'Introduzca el color de la sombra paralela',
	'ACP_HEADERLINK_URL'							=> 'URL del enlace',
	'ACP_HEADERLINK_URL_EXPLAIN'					=> 'Introduce la URL completa del enlace (por ejemplo https://www.phpbb.com)<br><strong>Deja este campo en blanco para eliminar el enlace.</strong>',
]);
